#ifndef SHAPES_H
#define SHAPES_H
#include "glnode.h"
#include <QVector4D>
#include <QColor>
#include "../interfaces/visitor.h"
class Shape : public GlNode
{
public:
	virtual void setColor(QColor& c) = 0;
	virtual QColor getColor() = 0;
};

class Cube : public Shape
{
public:
    Cube(){}
	QColor color;
    void accept(Visitor& v) override;
	void setColor(QColor& c);
	QColor getColor();
};
#endif // SHAPES_H
